class GlobalCacheManager {
  static instance;
  cacheMap;
  constructor() {
    this.cacheMap = /* @__PURE__ */ new Map();
  }
  static getInstance() {
    if (!GlobalCacheManager.instance) {
      GlobalCacheManager.instance = new GlobalCacheManager();
    }
    return GlobalCacheManager.instance;
  }
  get(cacheKey) {
    return this.cacheMap.get(cacheKey);
  }
  set(cacheKey, item) {
    this.cacheMap.set(cacheKey, item);
  }
  delete(cacheKey) {
    this.cacheMap.delete(cacheKey);
  }
}
export const globalCache = GlobalCacheManager.getInstance();
